/**
 * @descript
 * 删除指定的附件
 */
import api from '@/api/api'
export default {
  removeFileList(file) {
    
    let linksids = [];
    if (file.length) {
      for (let i = 0; i < file.length; i++) {
        linksids.push(file[i].linksid)
      }
    }
    let param = {
      "accesstoken": "4a6559d45d2a4c6e0ebac2c803344106",
      "classname": "system.attachment.Attachment",
      "method": "deleteFileLink",
      "content": {
          "linksids": [
              1
          ]
      }
    }
    return new Promise(resolve => {
      param.content.linksids = linksids
      api.requested(param).then( res => {
        if(res.code == 1) {
          resolve(res.code)
        }
      })
    })
  }
}